import {useGroups} from '@modules/chats/store/zustand/useGroups';
import {visibleChatStore} from '@modules/chats/store/zustand/visibleChat';
import {useAttachments} from '@modules/chats/store/zustand/useAttachments';
import {usePinnedMessages} from '@modules/chats/store/zustand/usePinnedMessages';
import {usersMapper} from '@modules/chats/instances/UsersMapper';

import {clearReactions} from './zustand/reactions';

export const clearChatsStore = () => {
  useGroups.getState().clear();
  visibleChatStore.getState().clear();
  useAttachments.getState().clear();
  usePinnedMessages.getState().clear();
  usersMapper.clear();
  clearReactions();
};

export * from './selectors';
export * from './zustand/visibleChat';
export * from './zustand/reactions';
export * from './zustand/chatEvents';
export * from './zustand/unreads';
export * from './zustand/messagesSearch';
export * from './zustand/usePinnedMessages';
